Subject: RE: 1.5.10: expr + configure failure + testcase (also on 1.5.11-1)
From: "Bogdan Vacaliuc" <[email-masked]>
To: <[email-masked]>
Date: Tue, 14 Sep 2004 23:09:59 -0400

Pierre,

> FYI, I lauched that script last evening, it's now at 
> iteration 6441. That's on NT4 with a 2 day old cygwin dll 
> built from cvs.
> 
> I have seen all the latest e-mails in this thread and the plea 
> to use the new snapshot.

So you are not using the new snapshot, yet do not see the failure, correct?

Chris Johns on the RTEMS list reported that my configure line did not fail on his MinGW system as readily as his configure line; his
line fails just as well on my system, so we've adopted it as the default now.

Please replace the fail() with the following in test-configure:

fail () {

${configure_test} -n \
    --prefix=/opt/rtems \
    --with-multisubdir=m68000 \
    --with-multisrctop= \
    --with-multibuildtop= \
    --prefix=/opt/rtems \
    --host=m68k-rtems \
    --build=i686-pc-mingw32 \
    --target=m68k-rtems \
    --enable-multilib \
    --enable-doc \
    --enable-cxx \
    --enable-posix \
    --enable-networking \
    --disable-tests \
    --disable-itron \
    --with-target-subdir=m68k-rtems \
    --exec-prefix=/opt/rtems/m68k-rtems \
    --cache-file=/dev/null \
    build_alias=i686-pc-mingw32 \
    host_alias=m68k-rtems \
    target_alias=m68k-rtems \
    CC='m68k-rtems-gcc --pipe -m68000' \
    --cache-file=/dev/null

}

and make another run, hopefully *before* you install the snapshot.

So far on the rtems-list, reports of the configure problem have implicated Win98/WinME and Win2K.  No failure was reported
MinGW/WinXP.  I'm still waiting to hear from others.

By the way, I never got a chance to respond to your request for a simpler test case.  Believe me, I tried.  The exhaustive/iterative
method was the best I could do to come close to quickly returning a failure if the problem existed.  On my system, I'd have a better
than 1:2 chance of getting a failure, but other people reported different results.

It would *never* fail, if all you did was a few expr and tests.  The whole configure script machinery appears necessary to setup the
failure mode.

Thanks,

-bogdan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Pierre A. Humblet
> Sent: Tuesday, September 14, 2004 10:04 AM
> To: [email-masked]
> Subject: Re: 1.5.10: expr + configure failure + testcase 
> (also on 1.5.11-1)
> 
> 
> On Sun, Sep 12, 2004 at 09:42:07PM -0400, Bogdan Vacaliuc wrote:
> > 
> > Anyway, the attached script (test-configure) will create the above 
> > configure.ac, generate configure (via. autoconf), and run the above 
> > line over and over until failure.  I am also attaching cygcheck.out 
> > for my environment as it now exists.
> 
> FYI, I lauched that script last evening, it's now at 
> iteration 6441. That's on NT4 with a 2 day old cygwin dll 
> built from cvs.
> 
> I have seen all the latest e-mails in this thread and the plea 
> to use the new snapshot.
> 
> BTW, checking for reused PIDs is a trace is very easy:
> fgrep Program <the_trace>
> 
> Pierre
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/